Description

Hi,

It seems that theforeman cannot guess the modulepath correctly with puppet 2.7.

puppetd --genconfig gives different information if run as root or as a foreman user

foreman user:

modulepath = /usr/share/foreman/.puppet/modules:/usr/share/puppet/modules

root user:

modulepath = /etc/puppet/modules:/usr/share/puppet/modules

This cause the refresh of the existing class to fail when ran from the UI, if modulepath =

/etc/puppet/modules:/usr/share/puppet/modules is run from the foreman user, it fails with Unable to find directory

/usr/share/foreman/.puppet/modules in environment production

Adding a modulepath in the main section of puppet.conf is a good workaround.

Also the modulepath option has changed form the puppetmasterd section to the master section.

PS: the UI shows no error at all when this is happening, is simply go back to the same page, I guess adding an error wouldn't hurt

Cheers

Related issues:

Related to Foreman - Bug #1255: Error: "Unable to find directory /etc/puppet/... Closed 10/24/2011

Related to Foreman - Bug #1159: Class import behaviour not consistent "rake p... Closed 09/07/2011

History

#1 - 01/29/2012 05:10 AM - Ohad Levy

- Status changed from New to Ready For Testing

I think this is solved already - could you try the suggestion in the following comment:

http://theforeman.org/issues/1159#note-8

#2 - 11/13/2012 12:14 PM - Greg Sutcliffe

- Target version set to Bug scrub

#3 - 11/15/2012 06:45 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

This bug is believed fixed in the latest version, since the smart-proxy now handles all puppet communication. Please re-open if you still encounter this

issue.
